// This macro demonstrates how to use the 
// Roi.setPolylineSplineAnchors(),
// Roi.setPolygonSplineAnchors() and
// Roi.getSplineAnchors() functions.

  requires("1.49p");
  newImage("Untitled", "8-bit ramp", 500, 500, 1);
  x = newArray(76,150,250, 419);
  y = newArray(222,70, 179, 120);
  for (i=0; i<250; i++) {
     x[3] -= 1;
     y[3] += 1;
     Roi.setPolylineSplineAnchors(x, y);
     Roi.setStrokeColor("red");
     Roi.setStrokeWidth(5);
     wait(25);
  }
  for (i=0; i<250; i++) {
     x[3] += 1;
     y[3] -= 1;
     Roi.setPolygonSplineAnchors(x, y);
     Roi.setStrokeColor("red");
     Roi.setStrokeWidth(5);
     wait(25);
  }
  Roi.getSplineAnchors(xx, yy)
  for (i=0; i<x.length; i++)
     print(xx[i]+","+yy[i]);
